VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | Protected Attributes | List of all members
CDragContainerHelper Class Reference
Version 4.2

Helper class to port old code which used CDragContainer. More...

## Public Types
enum | CDragType { kFile = 0, kText, kUnicodeText, kUnknown = -1, kError = -2 }

## Public Member Functions
| CDragContainerHelper (IDataPackage *drag)
| CDragContainerHelper ()=delete
void * | first (int32_t &size, int32_t &type)
void * | next (int32_t &size, int32_t &type)
int32_t | getType (int32_t idx) const
int32_t | getCount () const

## Protected Attributes
IDataPackage * | drag {nullptr}
int32_t | index {0}

## Detailed Description

Helper class to port old code which used CDragContainer.

## Member Enumeration Documentation

enum CDragType

Enumerator
kFile | File (MacOSX = UTF8 String)
kText | ASCII Text.
kUnicodeText | UTF8 Text.
kUnknown |
kError |

## Constructor & Destructor Documentation

CDragContainerHelper | ( | IDataPackage * | drag | ) |
| explicit

CDragContainerHelper | ( |  | ) |
| delete

## Member Function Documentation

void * first | ( | int32_t & | size,
|  | int32_t & | type
| ) |  |

int32_t getCount | ( |  | ) | const

int32_t getType | ( | int32_t | idx | ) | const

void * next | ( | int32_t & | size,
|  | int32_t & | type
| ) |  |

## Member Data Documentation

IDataPackage* drag {nullptr}
| protected

int32_t index {0}
| protected

The documentation for this class was generated from the following files:

- cview.h
- cview.cpp